# MCToken Namespace Reference

## Functions
void | FailEOFFile ()
void | InitTokenMgr (TMCiostream &stream)
void | SetTokenAsciiFormat (TMCiostream &stream, int32 tokenAsciiFormat)
int32 | GetTokenAsciiFormat (TMCiostream &stream)
boolean | IsBeginToken (int8 *token)
boolean | IsEndToken (int8 *token)
MCErr | GetNextToken (TMCiostream &stream, int8 *tokenp, boolean raw=false)
void | SkipTokenData (TMCiostream &stream)
void | SkipTokenData (TMCiostream &stream, boolean beginTokenWasRead)
int32 | CompactAttribute (const int8 *attrName)
void | FailReadFile (void)
void | ExtractTokenData (TMCiostream &stream, void *&data, uint32 &datLen)
void | GetBeginToken (TMCiostream &stream)
void | GetEndToken (TMCiostream &stream)
TMCString255 | GetLocalizedStringToken (TMCiostream &stream)
TMCString255 | GetNonLocalizedStringToken (TMCiostream &stream)
TMCDynamicString & | GetLocalizedDynamicStringToken (TMCiostream &stream, TMCDynamicString &result)
TMCDynamicString & | GetNonLocalizedDynamicStringToken (TMCiostream &stream, TMCDynamicString &result, boolean translate=true)
TMCString & | GetLongStringToken (TMCiostream &stream, TMCString &result)
int8 | GetInt8Token (TMCiostream &stream)
int16 | GetInt16Token (TMCiostream &stream)
int32 | GetInt32Token (TMCiostream &stream)
uint8 | GetUInt8Token (TMCiostream &stream)
uint16 | GetUInt16Token (TMCiostream &stream)
uint32 | GetUInt32Token (TMCiostream &stream)
real32 | GetReal32Token (TMCiostream &stream)
real64 | GetReal64Token (TMCiostream &stream)
int32 | GetFourCharConstToken (TMCiostream &stream)
uint32 | GetEnumToken (TMCiostream &stream)
boolean | GetBooleanToken (TMCiostream &stream)
TMCPoint | GetPointToken (TMCiostream &stream)
TMCRect | GetRectToken (TMCiostream &stream)
void | GetInt16ArrayToken (TMCiostream &stream, int32 nb, int16 *valArray)
void | GetInt32ArrayToken (TMCiostream &stream, int32 nb, int32 *valArray)
void | GetReal32ArrayToken (TMCiostream &stream, int32 nb, real32 *valArray)
void | GetBinaryStartToken (TMCiostream &stream, uint32 &byteCount)
void | GetBinaryEndToken (TMCiostream &stream)
TMCString255 | GetPathRefToken (TMCiostream &stream)
void | GetStreamToken (TMCiostream &stream, TMCstrstream &out, int32 &size)
void | GetBufferAsHexa (TMCiostream &stream, int8 *data, int32 count, boolean binary)
void | GetHexaBinaryToken (TMCiostream &stream, int32 size, void *data)
void | GetBufferAsBinHex (TMCiostream &stream, int8 *data, int32 count, uint32 &lastInfo)
template<class T >
void | GetTMCArrayToken (TMCiostream &stream, T &array, const boolean multiLine=false)
TMCiostreamContext * | PutBeginToken (TMCiostream &stream, int32 keyword, boolean getContext=false)
void | PutBeginToken (TMCiostream &stream)
void | PutEndToken (TMCiostream &stream)
void | PutFourCharConstAttribute (TMCiostream &stream, int32 keyword, int32 token)
void | PutInt8Attribute (TMCiostream &stream, int32 keyword, int8 value)
void | PutInt16Attribute (TMCiostream &stream, int32 keyword, int16 value)
void | PutInt32Attribute (TMCiostream &stream, int32 keyword, int32 value)
void | PutUInt8Attribute (TMCiostream &stream, int32 keyword, uint8 value)
void | PutUInt16Attribute (TMCiostream &stream, int32 keyword, uint16 value)
void | PutUInt32Attribute (TMCiostream &stream, int32 keyword, uint32 value)
void | PutReal32Attribute (TMCiostream &stream, int32 keyword, real32 value)
void | PutReal64Attribute (TMCiostream &stream, int32 keyword, real64 value)
void | PutEnumAttribute (TMCiostream &stream, int32 keyword, uint32 value)
void | PutBooleanAttribute (TMCiostream &stream, int32 keyword, boolean value)
void | PutPointAttribute (TMCiostream &stream, int32 keyword, const TMCPoint &inPoint)
void | PutRectAttribute (TMCiostream &stream, int32 keyword, const TMCRect &inRect)
void | PutInt32ArrayAttribute (TMCiostream &stream, int32 keyword, int32 nb, int32 *valArray)
void | PutInt16ArrayAttribute (TMCiostream &stream, int32 keyword, int32 nb, int16 *valArray)
void | PutReal32ArrayAttribute (TMCiostream &stream, int32 keyword, int32 nb, const real32 *valArray)
void | PutLocalizedStringAttribute (TMCiostream &stream, int32 keyword, const TMCString &str, boolean translate=true)
void | PutNonLocalizedStringAttribute (TMCiostream &stream, int32 keyword, const TMCString &str, boolean translate=true)
void | PutLocalizedLongStringAttribute (TMCiostream &stream, int32 keyword, const TMCString &str, boolean translate=true)
void | PutNonLocalizedLongStringAttribute (TMCiostream &stream, int32 keyword, const TMCString &str, boolean translate=true)
void | PutInt32Token (TMCiostream &stream, int32 value)
void | PutBinaryStartAttribute (TMCiostream &stream, int32 keyword, uint32 byteCount)
void | PutBinaryEndAttribute (TMCiostream &stream)
void | PutPathRefAttribute (TMCiostream &stream, int32 keyword, const TMCString &str)
void | PutStreamAttribute (TMCiostream &stream, int32 keyword, TMCstrstream &in)
void | PutToken (TMCiostream &stream, uint32 keyword, boolean skipWriteSpace=true)
void | IndentToken (TMCiostream &stream)
void | PutNonLocalizedString (TMCiostream &stream, const TMCString &str, boolean translate=true)
void | PutLocalizedString (TMCiostream &stream, const TMCString &str, boolean translate=true)
void | PutHexaBinaryAttribute (TMCiostream &stream, int32 keyword, int32 size, const void *data)
void | PutBufferAsHexa (TMCiostream &stream, int8 *data, int32 count, boolean binary)
void | BeginBufferAsBinHex (uint32 &lastInfo)
void | PutBufferAsBinHex (TMCiostream &stream, int8 *data, int32 count, uint32 &lastInfo)
void | EndPutBufferAsBinHex (TMCiostream &stream, uint32 &lastInfo)
template<class T >
void | PutTMCArrayAttribute (TMCiostream &stream, int32 keyword, const T &array, const boolean multiLine=false)

## Function Documentation

void MCToken::BeginBufferAsBinHex | ( | uint32 & | lastInfo | ) |

int32 MCToken::CompactAttribute | ( | const int8 * | attrName | ) |

void MCToken::EndPutBufferAsBinHex | ( | TMCiostream & | stream,
|  | uint32 & | lastInfo |
| ) |  |  |

void MCToken::ExtractTokenData | ( | TMCiostream & | stream,
|  | void *& | data,
|  | uint32 & | datLen |
| ) |  |  |

void MCToken::FailEOFFile | ( |  | ) |

void MCToken::FailReadFile | ( | void |  | ) |

void MCToken::GetBeginToken | ( | TMCiostream & | stream | ) |

void MCToken::GetBinaryEndToken | ( | TMCiostream & | stream | ) |

void MCToken::GetBinaryStartToken | ( | TMCiostream & | stream,
|  | uint32 & | byteCount |
| ) |  |  |

boolean MCToken::GetBooleanToken | ( | TMCiostream & | stream | ) |

void MCToken::GetBufferAsBinHex | ( | TMCiostream & | stream,
|  | int8 * | data,
|  | int32 | count,
|  | uint32 & | lastInfo |
| ) |  |  |

void MCToken::GetBufferAsHexa | ( | TMCiostream & | stream,
|  | int8 * | data,
|  | int32 | count,
|  | boolean | binary |
| ) |  |  |

void MCToken::GetEndToken | ( | TMCiostream & | stream | ) |

uint32 MCToken::GetEnumToken | ( | TMCiostream & | stream | ) |

int32 MCToken::GetFourCharConstToken | ( | TMCiostream & | stream | ) |

void MCToken::GetHexaBinaryToken | ( | TMCiostream & | stream,
|  | int32 | size,
|  | void * | data |
| ) |  |  |

void MCToken::GetInt16ArrayToken | ( | TMCiostream & | stream,
|  | int32 | nb,
|  | int16 * | valArray |
| ) |  |  |

int16 MCToken::GetInt16Token | ( | TMCiostream & | stream | ) |

void MCToken::GetInt32ArrayToken | ( | TMCiostream & | stream,
|  | int32 | nb,
|  | int32 * | valArray |
| ) |  |  |

int32 MCToken::GetInt32Token | ( | TMCiostream & | stream | ) |

int8 MCToken::GetInt8Token | ( | TMCiostream & | stream | ) |

TMCDynamicString& MCToken::GetLocalizedDynamicStringToken | ( | TMCiostream & | stream,
|  | TMCDynamicString & | result |
| ) |  |  |

TMCString255 MCToken::GetLocalizedStringToken | ( | TMCiostream & | stream | ) |

TMCString& MCToken::GetLongStringToken | ( | TMCiostream & | stream,
|  | TMCString & | result |
| ) |  |  |

MCErr MCToken::GetNextToken | ( | TMCiostream & | stream,
|  | int8 * | tokenp,
|  | boolean | raw = `false` |
| ) |  |  |

TMCDynamicString& MCToken::GetNonLocalizedDynamicStringToken | ( | TMCiostream & | stream,
|  | TMCDynamicString & | result,
|  | boolean | translate = `true` |
| ) |  |  |

TMCString255 MCToken::GetNonLocalizedStringToken | ( | TMCiostream & | stream | ) |

TMCString255 MCToken::GetPathRefToken | ( | TMCiostream & | stream | ) |

TMCPoint MCToken::GetPointToken | ( | TMCiostream & | stream | ) |

void MCToken::GetReal32ArrayToken | ( | TMCiostream & | stream,
|  | int32 | nb,
|  | real32 * | valArray |
| ) |  |  |

real32 MCToken::GetReal32Token | ( | TMCiostream & | stream | ) |

real64 MCToken::GetReal64Token | ( | TMCiostream & | stream | ) |

TMCRect MCToken::GetRectToken | ( | TMCiostream & | stream | ) |

void MCToken::GetStreamToken | ( | TMCiostream & | stream,
|  | TMCstrstream & | out,
|  | int32 & | size |
| ) |  |  |

template<class T >

void MCToken::GetTMCArrayToken | ( | TMCiostream & | stream,
|  | T & | array,
|  | const boolean | multiLine = `false` |
| ) |  |  | `[inline]`

int32 MCToken::GetTokenAsciiFormat | ( | TMCiostream & | stream | ) |

uint16 MCToken::GetUInt16Token | ( | TMCiostream & | stream | ) |

uint32 MCToken::GetUInt32Token | ( | TMCiostream & | stream | ) |

uint8 MCToken::GetUInt8Token | ( | TMCiostream & | stream | ) |

void MCToken::IndentToken | ( | TMCiostream & | stream | ) |

void MCToken::InitTokenMgr | ( | TMCiostream & | stream | ) |

boolean MCToken::IsBeginToken | ( | int8 * | token | ) |

boolean MCToken::IsEndToken | ( | int8 * | token | ) |

void MCToken::PutBeginToken | ( | TMCiostream & | stream | ) |

TMCiostreamContext* MCToken::PutBeginToken | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | boolean | getContext = `false` |
| ) |  |  |

void MCToken::PutBinaryEndAttribute | ( | TMCiostream & | stream | ) |

void MCToken::PutBinaryStartAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | uint32 | byteCount |
| ) |  |  |

void MCToken::PutBooleanAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | boolean | value |
| ) |  |  |

void MCToken::PutBufferAsBinHex | ( | TMCiostream & | stream,
|  | int8 * | data,
|  | int32 | count,
|  | uint32 & | lastInfo |
| ) |  |  |

void MCToken::PutBufferAsHexa | ( | TMCiostream & | stream,
|  | int8 * | data,
|  | int32 | count,
|  | boolean | binary |
| ) |  |  |

void MCToken::PutEndToken | ( | TMCiostream & | stream | ) |

void MCToken::PutEnumAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | uint32 | value |
| ) |  |  |

void MCToken::PutFourCharConstAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | int32 | token |
| ) |  |  |

void MCToken::PutHexaBinaryAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | int32 | size,
|  | const void * | data |
| ) |  |  |

void MCToken::PutInt16ArrayAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | int32 | nb,
|  | int16 * | valArray |
| ) |  |  |

void MCToken::PutInt16Attribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | int16 | value |
| ) |  |  |

void MCToken::PutInt32ArrayAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | int32 | nb,
|  | int32 * | valArray |
| ) |  |  |

void MCToken::PutInt32Attribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | int32 | value |
| ) |  |  |

void MCToken::PutInt32Token | ( | TMCiostream & | stream,
|  | int32 | value |
| ) |  |  |

void MCToken::PutInt8Attribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | int8 | value |
| ) |  |  |

void MCToken::PutLocalizedLongStringAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | const TMCString & | str,
|  | boolean | translate = `true` |
| ) |  |  |

void MCToken::PutLocalizedString | ( | TMCiostream & | stream,
|  | const TMCString & | str,
|  | boolean | translate = `true` |
| ) |  |  |

void MCToken::PutLocalizedStringAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | const TMCString & | str,
|  | boolean | translate = `true` |
| ) |  |  |

void MCToken::PutNonLocalizedLongStringAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | const TMCString & | str,
|  | boolean | translate = `true` |
| ) |  |  |

void MCToken::PutNonLocalizedString | ( | TMCiostream & | stream,
|  | const TMCString & | str,
|  | boolean | translate = `true` |
| ) |  |  |

void MCToken::PutNonLocalizedStringAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | const TMCString & | str,
|  | boolean | translate = `true` |
| ) |  |  |

void MCToken::PutPathRefAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | const TMCString & | str |
| ) |  |  |

void MCToken::PutPointAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | const TMCPoint & | inPoint |
| ) |  |  |

void MCToken::PutReal32ArrayAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | int32 | nb,
|  | const real32 * | valArray |
| ) |  |  |

void MCToken::PutReal32Attribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | real32 | value |
| ) |  |  |

void MCToken::PutReal64Attribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | real64 | value |
| ) |  |  |

void MCToken::PutRectAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | const TMCRect & | inRect |
| ) |  |  |

void MCToken::PutStreamAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | TMCstrstream & | in |
| ) |  |  |

template<class T >

void MCToken::PutTMCArrayAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | const T & | array,
|  | const boolean | multiLine = `false` |
| ) |  |  | `[inline]`

void MCToken::PutToken | ( | TMCiostream & | stream,
|  | uint32 | keyword,
|  | boolean | skipWriteSpace = `true` |
| ) |  |  |

void MCToken::PutUInt16Attribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | uint16 | value |
| ) |  |  |

void MCToken::PutUInt32Attribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | uint32 | value |
| ) |  |  |

void MCToken::PutUInt8Attribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | uint8 | value |
| ) |  |  |

void MCToken::SetTokenAsciiFormat | ( | TMCiostream & | stream,
|  | int32 | tokenAsciiFormat |
| ) |  |  |

void MCToken::SkipTokenData | ( | TMCiostream & | stream,
|  | boolean | beginTokenWasRead |
| ) |  |  |

void MCToken::SkipTokenData | ( | TMCiostream & | stream | ) |